## kactivities-stats 5.68.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project (KActivitiesStats VERSION ${KF5_VERSION})

set (REQUIRED_QT_VERSION 5.12.0)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities-stats require an out of source build. Please create a separate build directory and run 'cmake path_to_kactivities-stats [options]' there."
   )
endif ()

set (KASTATS_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include (FeatureSummary)
find_package (ECM 5.68.0  NO_MODULE)
set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMGenerateHeaders)
include (ECMAddQch)
include (ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# Qt
set (CMAKE_AUTOMOC ON)
find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)

# KDE Frameworks
# find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
# find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)

find_package (Boost 1.49 REQUIRED)

# Basic includes
include (CPack)

include (CMakePackageConfigHelpers)
include (ECMSetupVersion)


# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

# add_definitions (-DTRANSLATION_DOMAIN=\"kactivitiesstats5\")
# if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
#     ki18n_install (po)
# endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

# libKActivitiesStats

ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX KACTIVITIESSTATS
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   SOVERSION 1
   )
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)

add_subdirectory (src)
if(BUILD_TESTING)
  add_subdirectory (autotests)
  add_subdirectory (tests)
endif (BUILD_TESTING)

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ActivitiesStats")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ActivitiesStats_QCH
        FILE KF5ActivitiesStatsLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ActivitiesStatsLibraryQchTargets.cmake\")")
endif()

install (
   EXPORT KF5ActivitiesStatsLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE KF5ActivitiesStatsLibraryTargets.cmake
   NAMESPACE KF5::
   )

configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
   )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

set (
   KActivitiesStats_LIB_SRCS

   query.cpp
   terms.cpp
   resultset.cpp
   resultwatcher.cpp
   resultmodel.cpp
   activitiessync_p.cpp
   cleaning.cpp

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   )

ecm_qt_declare_logging_category(KActivitiesStats_LIB_SRCS
    HEADER kactivities-stats-logsettings.h
    IDENTIFIER KACTIVITIES_STATS_LOG
    CATEGORY_NAME kf5.kactivity.stat
    DESCRIPTION "KActivities Stats"
    EXPORT KACTIVITIES_STATS
)


qt5_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesScoring.xml
   resourcesscoring_interface
   )

qt5_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   resourceslinking_interface
   )


add_library (
   KF5ActivitiesStats SHARED
   ${KActivitiesStats_LIB_SRCS}
   )
add_library(KF5::ActivitiesStats ALIAS KF5ActivitiesStats)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${Boost_INCLUDE_DIR}
   )

set_target_properties (
   KF5ActivitiesStats
   PROPERTIES
   VERSION ${KACTIVITIESSTATS_VERSION_STRING}
   SOVERSION ${KACTIVITIESSTATS_SOVERSION}
   EXPORT_NAME ActivitiesStats
   )

target_link_libraries (
   KF5ActivitiesStats
   PUBLIC
      Qt5::Core
   PRIVATE
      Qt5::DBus
      Qt5::Sql
      KF5::Activities
      KF5::ConfigCore
   )

target_include_directories (
   KF5ActivitiesStats
   INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats>"
   )

# install
generate_export_header (KF5ActivitiesStats BASE_NAME KActivitiesStats)

ecm_generate_headers (
   KActivitiesStats_CamelCase_HEADERS
   HEADER_NAMES
   Query
   Terms
   ResultSet
   ResultWatcher
   ResultModel
   Cleaning

   PREFIX KActivitiesStats
   REQUIRED_HEADERS KActivitiesStats_HEADERS
)

install (
   TARGETS KF5ActivitiesStats
   EXPORT KF5ActivitiesStatsLibraryTargets
   ${SKIP_NAMELINK}
   ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
   )

install (
   FILES ${KActivitiesStats_CamelCase_HEADERS}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats/KActivities/Stats
   COMPONENT Devel
   )

install (
   FILES ${KActivitiesStats_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KActivitiesStats/kactivitiesstats
   COMPONENT Devel
   )

ecm_qt_install_logging_categories(
    EXPORT KACTIVITIES_STATS
    FILE kactivities-stats.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ActivitiesStats_QCH
        NAME KActivitiesStats
        BASE_NAME KF5ActivitiesStats
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KActivitiesStats_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            KF5Activities_QCH # while not in API symbols, some classes are referenced in comments
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KACTIVITIESSTATS_EXPORT
            KACTIVITIESSTATS_DEPRECATED
            KACTIVITIESSTATS_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (NOT WIN32)
   configure_file (
      ${CMAKE_CURRENT_SOURCE_DIR}/libKActivitiesStats.pc.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/libKActivitiesStats.pc
      )
   install (
      FILES ${CMAKE_CURRENT_BINARY_DIR}/libKActivitiesStats.pc
      DESTINATION ${KDE_INSTALL_LIBDIR}/pkgconfig
      )
endif ()

include (ECMGeneratePriFile)
ecm_generate_pri_file (
   BASE_NAME KActivitiesStats
   LIB_NAME KF5ActivitiesStats
   DEPS "KActivities"
   FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KActivitiesStats
   )
install (
   FILES ${PRI_FILENAME}
   DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
   )

=== debian/changelog ===
kactivities-stats (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:33 +0000

kactivities-stats (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:04 +0000

kactivities-stats (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:11 +0000

kactivities-stats (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:02 +0000

kactivities-stats (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:38 +0000

kactivities-stats (5.62.0-0ubuntu1) eoan; urgency=medium

  * Install qdebug categories file.
  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:04 +0100

kactivities-stats (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:36 +0100

kactivities-stats (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:16 +0100

kactivities-stats (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:30 +0100

kactivities-stats (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:14 +0100

kactivities-stats (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:59 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats

Package: libkf5activitiesstats-dev
Architecture: any
Section: libdevel
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kactivities-stats 5.74.0

=== debian/changelog ===
kactivities-stats (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:16 +0100

kactivities-stats (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:54 +0100

kactivities-stats (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:03 +0100

kactivities-stats (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:18 +0100

kactivities-stats (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Jun 2020 09:07:23 +0100

kactivities-stats (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols file from the logs of buildds.
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:11 +0200

kactivities-stats (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:53 +0100

kactivities-stats (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Update copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:54:37 +0200

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF5_VERSION})
 
-set (REQUIRED_QT_VERSION 5.12.0)
+set (REQUIRED_QT_VERSION 5.14.0)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.68.0  NO_MODULE)
+find_package (ECM 5.78.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -47,6 +47,7 @@
 find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)
 
+set(Boost_NO_BOOST_CMAKE ON)
 find_package (Boost 1.49 REQUIRED)
 
 # Basic includes
@@ -83,8 +84,8 @@
    SOVERSION 1
    )
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 
 add_subdirectory (src)
 if(BUILD_TESTING)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,8 @@
 ecm_qt_declare_logging_category(KActivitiesStats_LIB_SRCS
     HEADER kactivities-stats-logsettings.h
     IDENTIFIER KACTIVITIES_STATS_LOG
-    CATEGORY_NAME kf5.kactivity.stat
+    CATEGORY_NAME kf.activitiesstats
+    OLD_CATEGORY_NAMES kf5.kactivity.stat
     DESCRIPTION "KActivities Stats"
     EXPORT KACTIVITIES_STATS
 )
@@ -48,7 +49,6 @@
 
 include_directories (
    ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
-   ${Boost_INCLUDE_DIR}
    )
 
 set_target_properties (
@@ -64,6 +64,7 @@
    PUBLIC
       Qt5::Core
    PRIVATE
+      Boost::boost
       Qt5::DBus
       Qt5::Sql
       KF5::Activities

=== tests/model/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesStatsTestApp)

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets Test Quick QuickWidgets)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests
   ${CMAKE_BINARY_DIR}/src
   )

set (
   KActivitiesStatsTestApp_SRCS
   window.cpp
   main.cpp
   )

qt5_wrap_ui(
   KActivitiesStatsTestApp_SRCS
   window.ui
   )

qt5_add_resources(
   KActivitiesStatsTestApp_SRCS
   main.qrc
   )

if (NOT WIN32)

   add_executable (
      KActivitiesStatsTestApp
      ${KActivitiesStatsTestApp_SRCS}
      )

   target_link_libraries (
      KActivitiesStatsTestApp
      Boost::boost

      Qt5::Core
      Qt5::Gui
      Qt5::Widgets
      Qt5::Test
      Qt5::Quick
      Qt5::QuickWidgets

      KF5::Activities
      KF5::ActivitiesStats
      )

endif ()

=== debian/changelog ===
kactivities-stats (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:18 +0900

kactivities-stats (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kactivities-stats (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

kactivities-stats (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

kactivities-stats (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:16:42 +0200

kactivities-stats (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to ibkf5libkf5activitiesstats1.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update copyright for 5.74.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:47 +0200

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.80.0

=== debian/changelog ===
kactivities-stats (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:06 +0000

kactivities-stats (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:38 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
+               libkf5activities-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: libkf5activitiesstats1 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5activitiesstats-doc (= ${source:Version})
 Description: development files for kactivities-stats.
  A library for accessing the usage data collected by the activities system.

## kactivities-stats 5.86.0

=== debian/changelog ===
kactivities-stats (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:13 +0100

kactivities-stats (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:24:46 +0100

kactivities-stats (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:19 +0100

kactivities-stats (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:11 +0100

kactivities-stats (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:54:47 +0100

kactivities-stats (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
+               libkf5activities-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),

## kactivities-stats 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project (KActivitiesStats VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project (KActivitiesStats VERSION ${KF_VERSION})
 
-set (REQUIRED_QT_VERSION 5.14.0)
+set (REQUIRED_QT_VERSION 5.15.2)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.78.0  NO_MODULE)
+find_package (ECM 5.92.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -28,27 +28,27 @@
 
 include (KDEInstallDirs)
 include (KDECMakeSettings)
+include(KDEGitCommitHooks)
 include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include (GenerateExportHeader)
 include (ECMGenerateHeaders)
+include (ECMGeneratePkgConfigFile)
 include (ECMAddQch)
 include (ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 # Qt
 set (CMAKE_AUTOMOC ON)
-find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)
+find_package (Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)
 
 # KDE Frameworks
-# find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
-# find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
-find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
-find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)
-
-set(Boost_NO_BOOST_CMAKE ON)
-find_package (Boost 1.49 REQUIRED)
+# find_package (KF5DBusAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
+# find_package (KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package (KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package (KF5Activities ${KF_DEP_VERSION} CONFIG REQUIRED)
 
 # Basic includes
 include (CPack)
@@ -65,9 +65,7 @@
    )
 
 # add_definitions (-DTRANSLATION_DOMAIN=\"kactivitiesstats5\")
-# if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-#     ki18n_install (po)
-# endif ()
+# ki18n_install (po)
 
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_VISIBILITY_PRESET default)
@@ -83,13 +81,19 @@
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
    SOVERSION 1
    )
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.90.0
+)
+
 
 add_subdirectory (src)
 if(BUILD_TESTING)
-  add_subdirectory (autotests)
+  set(Boost_NO_BOOST_CMAKE ON)
+  find_package (Boost 1.49)
+  if (Boost_FOUND)
+    add_subdirectory (autotests)
+  endif ()
   add_subdirectory (tests)
 endif (BUILD_TESTING)
 
@@ -116,7 +120,6 @@
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
    )
 
 install (
@@ -128,8 +131,10 @@
 
 install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h
-   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats COMPONENT Devel
    )
 
 # Write out the features
 feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/model/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesStatsTestApp)

find_package (Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Widgets Test Quick QuickWidgets)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests
   ${CMAKE_BINARY_DIR}/src
   )

set (
   KActivitiesStatsTestApp_SRCS
   window.cpp
   main.cpp
   )

qt_wrap_ui(
   KActivitiesStatsTestApp_SRCS
   window.ui
   )

qt_add_resources(
   KActivitiesStatsTestApp_SRCS
   main.qrc
   )

if (NOT WIN32)

   add_executable (
      KActivitiesStatsTestApp
      ${KActivitiesStatsTestApp_SRCS}
      )

   target_link_libraries (
      KActivitiesStatsTestApp

      Qt${QT_MAJOR_VERSION}::Core
      Qt${QT_MAJOR_VERSION}::Gui
      Qt${QT_MAJOR_VERSION}::Widgets
      Qt${QT_MAJOR_VERSION}::Test
      Qt${QT_MAJOR_VERSION}::Quick
      Qt${QT_MAJOR_VERSION}::QuickWidgets

      KF5::Activities
      KF5::ActivitiesStats
      )

endif ()

=== debian/changelog ===
kactivities-stats (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:16 +0000

kactivities-stats (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Adjust libkf5activitiesstats-dev.acc.in because of the *_version.h
    installation path change in KDE Frameworks 5.91

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:42 +0000

kactivities-stats (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:44:54 +0000

kactivities-stats (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:27 +0000

kactivities-stats (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:25 +0000

kactivities-stats (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 15:24:46 +0000

kactivities-stats (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kactivities-stats (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:16:39 +0000

kactivities-stats (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:04:04 +0000

kactivities-stats (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:49:26 +0900

kactivities-stats (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kactivities-stats (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:22 +0900

kactivities-stats (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kactivities-stats (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:13:15 +0900

kactivities-stats (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:03:37 +0900

kactivities-stats (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

kactivities-stats (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kactivities-stats (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kactivities-stats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.92.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
+               libkf5activities-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
 Rules-Requires-Root: no
 
 Package: libkf5activitiesstats-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5activitiesstats1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5activitiesstats-doc (= ${source:Version})
 Description: development files for kactivities-stats.

## kactivities-stats 5.98.0

=== debian/changelog ===
kactivities-stats (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:10 +0100

kactivities-stats (5.97.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Aug 2022 10:21:24 +0100

kactivities-stats (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:18 +0100

kactivities-stats (5.96.0-0ubuntu2) kinetic; urgency=medium

  * Add some new symbols, marked as gccinternal

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:32:50 +0100

kactivities-stats (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:21 +0100

kactivities-stats (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:37 +0100

kactivities-stats (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Update symbols.
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:21 +0100

kactivities-stats (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:20:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
+               libkf5activities-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),

## kactivities-stats 5.101.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.101.0") # handled by release scripts
+set(KF_DEP_VERSION "5.101.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF_VERSION})
 
 set (REQUIRED_QT_VERSION 5.15.2)
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.92.0  NO_MODULE)
+find_package (ECM 5.101.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -49,6 +49,7 @@
 # find_package (KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Activities ${KF_DEP_VERSION} CONFIG REQUIRED)
+find_package(Threads REQUIRED)
 
 # Basic includes
 include (CPack)
@@ -83,7 +84,7 @@
    )
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.90.0
+    KF 5.95.0
 )

=== debian/changelog ===
kactivities-stats (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:29 +0100

kactivities-stats (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:01 +0100

kactivities-stats (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:43 +0200

kactivities-stats (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:35 +0200

kactivities-stats (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:03 +0200

kactivities-stats (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kactivities-stats (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove the unused debian/meta/ stuff.
  * CI: enable again the blhc job.
  * Remove no more existing header from the 'acc' autopkgtest config.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 10:09:54 +0200

kactivities-stats (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kactivities-stats (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: kactivities-stats
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
+               libkf5activities-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
 Rules-Requires-Root: no
 
 Package: libkf5activitiesstats-dev
